import { html as c } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as m } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, v = Object.getOwnPropertyDescriptor, s = (l, e, r, o) => {
  for (var t = o > 1 ? void 0 : o ? v(e, r) : e, p = l.length - 1, a; p >= 0; p--)
    (a = l[p]) && (t = (o ? a(e, r, t) : a(t)) || t);
  return o && t && f(e, r, t), t;
};
let i = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--imageFlipHorizontal", this.class = "c-pieIcon c-pieIcon--imageFlipHorizontal", this.name = "IconImageFlipHorizontal";
  }
  render() {
    return c`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--imageFlipHorizontal"><path d="M14.451 5.103a.81.81 0 0 0-.862.053L10.453 7.29a.86.86 0 0 0-.375.714c0 .288.14.558.375.715l3.136 2.134a.85.85 0 0 0 .862.052.87.87 0 0 0 .462-.766v-4.27a.86.86 0 0 0-.462-.766m-.575 4.687-2.63-1.794 2.63-1.795z"></path><path d="M5.548 7.281 2.41 5.147a.85.85 0 0 0-.862-.052.87.87 0 0 0-.453.766v4.269c0 .322.174.618.462.767.278.148.61.13.862-.053L5.556 8.71a.86.86 0 0 0 .375-.714.86.86 0 0 0-.375-.715zM2.124 6.21l2.63 1.794L2.125 9.8z"></path><path d="M8.64 12.552H7.334v1.82H8.64z"></path><path d="M8.64 1.627H7.334v1.821H8.64z"></path><path d="M8.64 5.269H7.334v1.82H8.64z"></path><path d="M8.64 8.91H7.334v1.821H8.64z"></path></svg>`;
  }
};
s([
  n({ type: String, reflect: !0 })
], i.prototype, "size", 2);
s([
  n({ type: String, reflect: !0 })
], i.prototype, "class", 2);
i = s([
  m("icon-image-flip-horizontal")
], i);
export {
  i as IconImageFlipHorizontal
};
